org.apache.ignite.ml.util.generators.primitives.vector

## Class ParametricVectorGenerator

- java.lang.Object
- - org.apache.ignite.ml.util.generators.primitives.vector.ParametricVectorGenerator

- All Implemented Interfaces:
    Supplier<Vector>, VectorGenerator

      public class ParametricVectorGenerator
      extends Object
      implements VectorGenerator

  Generate vectors having components generated by parametrized function. For each vector v: v = [F1(t), F2(t), ..., Fn(t)], where t is a value from user defined distribution.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParametricVectorGenerator(RandomProducer paramGenerator, IgniteFunction<Double,Double>... perDimensionGenerators)` Create an instance of ParametricVectorGenerator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Vector` | `get()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.util.generators.primitives.vector.VectorGenerator

      `asDataStream, concat, concat, duplicateRandomFeatures, duplicateRandomFeatures, filter, map, move, noisify, plus, rotate, rotate, shuffle, shuffle`

- - ### Constructor Detail

    - #### ParametricVectorGenerator

          public ParametricVectorGenerator(RandomProducer paramGenerator,
                                           IgniteFunction<Double,Double>... perDimensionGenerators)

      Create an instance of ParametricVectorGenerator.
      Parameters:
        `paramGenerator` - Parameter generator.
        `perDimensionGenerators` - Per dimension generators.

  - ### Method Detail

    - #### get

          public Vector get()

      Specified by:
        `get` in interface `Supplier<Vector>`

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021